[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Fedora x86_64 rawhide rebuild in mock status 2008-07-03



Kevin Kofler <kevin.kofler <at> chello.at> writes:

> I ran into the same thing with KDevelop (it builds a kioslave for svn), I just 
> added a BR openldap-devel. IMHO apr-devel should Require openldap-devel.

New apr-util should not require openldap-devel, as long as you are not using
LDAP APIs directly.

LDAP libraries are returned by apu-1-config --libs to obey by project's
versioning rules (as noted by Joe Orton). However, the new option --avoid-ldap
should be used (before --libs) in order to get actually required libraries for
the builds that load LDAP support on request (i.e. as DSO).

See:

http://svn.apache.org/viewvc?view=rev&revision=659666

--
Bojan



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]